Bug 261124 - [Patch] Can't edit bookmarks
Summary: [Patch] Can't edit bookmarks
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist (vote)
Target Milestone: 1.2 (KDE 4.7)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-24 04:11 UTC by markuss
Modified: 2011-01-27 21:20 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description markuss 2010-12-24 04:11:27 UTC
Version:           unspecified (using KDE 4.5.90) 
OS:                Linux

Marble 1.0's bookmark feature is great in theory but broken because I can't delete individual bookmarks or rename/move them.

Reproducible: Always
Comment 1 Dennis Nienhüser 2010-12-24 12:11:57 UTC
Nobody found the time to work on a bookmark manager for the KDE 4.6 release.
Comment 2 Dennis Nienhüser 2011-01-23 22:02:55 UTC
Patch is at http://reviewboard.kde.org/r/6411/
Comment 3 Dennis Nienhüser 2011-01-27 21:20:41 UTC
SVN commit 1217542 by nienhueser:

Bookmark Manager: Delete folders, rename them, create new ones, delete bookmarks and edit bookmarks (including moving to other folders). Also adds support for importing .kml files. The only missing thing -- which I plan to make a junior job -- is drag & drop support. (Internal move to change the order of folders and bookmarks inside folders. Maybe also D&D between views to support dragging bookmarks quickly to other folders.)

Squashed patch of a local git branch:
- Support importing bookmarks from .kml files. When conflicts arise (imported bookmark already exists), the user is asked whether to skip the new or replace the existing bookmark.
- NewFolderInfoDialog is a misleading name. Rename it NewBookmarkFolderDialog.
- Rename NameDialog to NewBookmarkFolderDialog, the former is too generic. Fix broken license header in NewBookmarkFolderDialog.h. Make it possible to use the dialog without changing existing bookmarks directly. Use a ButtonBox in the .ui to get a consistent interface.
- New bookmark folders can be created within the bookmark manager.
- Deletion of individual folders and bookmarks. Use the first folder as default selection.
- Use the existing dialogs to edit bookmark folders and bookmarks in the bookmark manager.
- Rename BookmarkInfoDialog to EditBookmarkDialog which describes its purpose better.
FEATURE: 261124
REVIEW: 6411

 M  +21 -7     QtMainWindow.cpp  
 M  +1 -1      QtMainWindow.h  
 D             lib/BookmarkInfoDialog.cpp  
 D             lib/BookmarkInfoDialog.h  
 D             lib/BookmarkInfoDialog.ui  
 M  +5 -3      lib/BookmarkManager.cpp  
 M  +209 -14   lib/BookmarkManagerDialog.cpp  
 M  +11 -0     lib/BookmarkManagerDialog.h  
 M  +4 -4      lib/BookmarkManagerDialog.ui  
 M  +4 -4      lib/CMakeLists.txt  
 A             lib/EditBookmarkDialog.cpp   [License: LGPL]
 A             lib/EditBookmarkDialog.h   lib/BookmarkInfoDialog.h#1217541 [License: LGPL]
 A             lib/EditBookmarkDialog.ui  
 M  +6 -2      lib/MarbleWidgetPopupMenu.cpp  
 D             lib/NameDialog.ui  
 A             lib/NewBookmarkFolderDialog.cpp   [License: LGPL]
 A             lib/NewBookmarkFolderDialog.h   [License: LGPL]
 A             lib/NewBookmarkFolderDialog.ui  
 D             lib/NewFolderInfoDialog.cpp  
 D             lib/NewFolderInfoDialog.h  
 M  +12 -8     marble_part.cpp  
 M  +1 -1      marble_part.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1217542